alan alan - 4 months ago 18
Ruby Question

gem install memcached with ruby failed

that is the error message:

/home/alan/.rvm/rubies/ruby-2.0.0-p481/bin/ruby extconf.rb
checking for sasl/sasl.h... no
Please install SASL to continue. The package is called libsasl2-dev on Ubuntu and cyrus-sasl on Gentoo.
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers. Check the mkmf.log file for more details. You may
need configuration options.

Provided configuration options:
--with-opt-dir
--without-opt-dir
--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog
--without-make-prog
--srcdir=.
--curdir
--ruby=/home/alan/.rvm/rubies/ruby-2.0.0-p481/bin/ruby

extconf failed, exit code


Thanks for helping me if u have spare time.

Answer

It clearly states that some library is missing

 Please install SASL to continue. The package is called libsasl2-dev on Ubuntu and cyrus-sasl on Gentoo.
*** extconf.rb failed ***

For Ubuntu you have to install those

sudo apt-get install libsasl2
sudo apt-get install libsasl2-dev

For Gentoo

install

cyrus-sasl
Comments